<?php

wCMS::addListener('navigation', 'overrideNavigation');

function overrideNavigation ($args) {
    $output = '';
    foreach (wCMS::getConfig('menuItems') as $item) {
        $output .= '<li class="nav-item"><a '.((mb_strtolower($item) == wCMS::$currentPage) ? ' class="active nav-link"' : '').'class="nav-link text-inverse" href="'.wCMS::url(wCMS::getSlug($item)).'">'.$item.'</a></li>';
    }
    $args[0] = $output;

    return $args;
}

function AdvertisingArea() {
    // Check if the AdvertisingArea area is already exists, if not, create it.
    if (wCMS::getConfig('AdvertisingArea') === false) {
        wCMS::setConfig('AdvertisingArea', '<a href="https://join-adf.ly/252596"><img border="0" src="https://cdn.adf.ly/images/banners/adfly.160x600.4.gif" width="160" height="600" title="AdF.ly - acorta links y gana dinero!" /></a>');
    }

    // Fetch the value of AdvertisingArea from the database.
    $value = wCMS::getConfig('AdvertisingArea');
    // If value is empty, let's put something in it by default. (IMPORTANT)
    if (empty($value)) {
        $value = 'Empty content.';
    }
    // It's necessary to pass the editable method to the fetched value/content
    // to make the area editable ONLY if admin is logged in.
    if (wCMS::$loggedIn) {
        // If logged in, it must be editable
        return wCMS::editable('AdvertisingArea', $value);
    }
    // If not logged in, don't make it editable!
    return $value;
}
?>